global:
  cluster_domain: aavs302.lowitf.internal.skao.int
  minikube: false
  tango_host: databaseds:10000
  operator: false

ska-tango-base:
  itango:
    enabled: true
  tangodb:
    use_pv: true

grafana:
  ingress:
    enabled: true
    hosts: []
    path: "/grafana"
  persistence:
    enabled: true
    type: StatefulSet
    storageClassName: nfss1
  grafana.ini:
    server:
      root_url: "/grafana"
      serve_from_sub_path: true
    security:
      allow_embedding: true
    auth.anonymous:
      enabled: true
      org_name: Main Org.
      org_role: Viewer

ska-tango-archiver:
  ska-tango-base:
    enabled: false
  hostname: eda.ska-tango-archiver
  dbname: eda
  dbuser: admin
  dbpassword: admin
  port: 5432
  telescope: SKA-low
  telescope-environment: LOW-STFC
  configuration_manager: low-eda/cm/01
  event_subscriber: low-eda/es/01
  archwizard_config: MyHDB=tango://databaseds.aavs3-system.svc.aavs302.lowitf.internal.skao.int:10000/low-eda/cm/01

jupyterhub:
  proxy:
    service:
      type: ClusterIP
  hub:
    baseUrl: /jupyterhub/
    db:
      pvc:
        storageClassName: nfss1
  ingress:
    enabled: true
    ingressClassName: nginx
    annotations:
      nginx.ingress.kubernetes.io/proxy-body-size: 100m
  singleuser:
    serviceAccountName: default
    memory:
      limit: 32G
    storage:
      dynamic:
        storageClass: nfss1
      extraVolumes:
        - name: daq-data
          hostPath:
            path: /mnt/nvme/daq-data
        - name: jh-shared
          hostPath:
            path: /opt/jupyterhub-shared
        - name: eep-data
          persistentVolumeClaim:
            claimName: claim-eep-data
        - name: wedgie-data
          nfs:
            server: 10.132.47.5
            path: /data_nvme
            readOnly: true
      extraVolumeMounts:
        - mountPath: /home/jovyan/daq-data
          name: daq-data
        - mountPath: /home/jovyan/shared
          name: jh-shared
        - mountPath: /home/jovyan/eep-data
          name: eep-data
          readOnly: true
        - mountPath: /home/jovyan/wedgie-data
          name: wedgie-data
          readOnly: true
    image:
      name: registry.gitlab.com/ska-telescope/aiv/ska-low-itf/ska-low-itf-jupyterhub
      tag: 0.1.0-dev.ca0d13e39
    cmd: start-singleuser.sh
    extraEnv:
      TANGO_HOST: databaseds.aavs3-system:10000
      SKA_JH_CLONE_REPOS: https://gitlab.com/ska-telescope/ska-ost-low-aavs3.git
    networkPolicy:
      egressAllowRules:
        privateIPs: true

ska-low-itf-devices:
  subsystem: ups
  deviceServers:
    registry.gitlab.com/ska-telescope/aiv/ska-low-itf-devices/ska-snmp-device:0.2.0-dev.c4d444752:
      ups:
        ska_snmp_device.SNMPDevice:
          low-aavs3/ups/1:
            DeviceDefinition: UPS.yaml
            Host: 10.132.47.11
            V2Community: public
            UpdateRate: 1.0
            LoggingLevelDefault: 4
          low-aavs3/ups/2:
            DeviceDefinition: UPS.yaml
            Host: 10.132.47.12
            V2Community: public
            UpdateRate: 1.0
            LoggingLevelDefault: 4

ska-ser-skuid: {}  # Accept all defaults
  # skuid:
  #   use_pv: true

ska-tango-tangogql:
  ska-tango-base:
    enabled: false
